﻿using System.Windows;
using System.Windows.Controls;

namespace FontDialog
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // show the font dialog and get the result
            var fontData = FontInteropHelper.ShowFontDialog();

            // get the button and see if we have new font data
            var button = sender as Button;
            if (fontData != null && button != null)
            {
                button.FontFamily = fontData.FontFamily;
                button.FontSize = fontData.FontSize;
                button.FontStyle = fontData.FontStyle;
                button.FontWeight = fontData.FontWeight;
            }
        }
    }
}
